Video Generating
POST https://api.vidu.com/ent/v2/start-end2videoField | Value | Description |
|---|---|---|
Content-Type | application/json | Data Exchange Format |
Authorization | Token {your api key} | Replace {} with your API key |
Field | Type | Required | Description |
|---|---|---|---|
model | String | Required | Model name Accepted values: viduq3-turbo viduq3-pro , viduq2-pro-fast, viduq2-pro , viduq2-turbo , viduq1 , viduq1-classic , vidu2.0 -viduq3-turbo: Compared to viduq3-pro, the generation speed is faster -viduq3-pro: Supports audio-video synchronization, supports storyboard video generation -viduq2-pro-fast: Fast speed, low price, stable quality -viduq2-pro: New model with excellent performance -viduq2-turbo: New model with good effect, fast generation -Viduq1: Clear image, smooth transition, stable camera operation -Viduq1 classical: Clear image, richer transitions and camera movements -Vidu2.0: Fast generation speed |
images | Array[String] | Required | Two images: first is start frame, second is end frame. Notes: 1. Public URL or Base64 2. Aspect ratios must be close: ratio between start/end frame must be in 0.8~1.25 3. Format: png, jpeg, jpg, webp 4. Max size: 50MB 5. The post body of the HTTP request should not exceed 20MB, and it must include an appropriate content type string. For instance, |
prompt | String | Optional | Prompt description, max 5000 characters. Note:If the is_rec parameter for recommended prompts is used, the model will ignore the manually entered prompt for this parameter. |
is_rec | Bool | Optional | Whether to use the recommended prompt. - true: Yes, the system will automatically generate and apply a recommended prompt to create the video. The number of recommended prompts = 1. - false: No, the video will be generated based on the user-provided prompt. Note: When the recommended prompt feature is enabled, each task will consume an additional 10 credits. |
duration | Int | Optional | Video duration. Default values vary by model: - viduq3-pro , viduq3-turbo :default 5s,available: 1 - 16 - viduq2-pro-fast , viduq2-pro , viduq2-turbo :default 5s,available: 1 - 8 - viduq1 and viduq1-classic: default 5s, available: 5 - vidu2.0 : default 4s, available: 4, 8 |
seed | Int | Optional | Random seed - Defaults to a random seed number - Manually set values will override the default random seed |
resolution | String | Optional | Resolution (based on model & duration): - viduq3-pro , viduq3-turbo (1 - 16s):default 720p, options: 540p, 720p, 1080p - viduq2-pro-fast (1 - 8s): default 720p, options: 720p, 1080p - viduq2-pro , viduq2-turbo (1 - 8s): default 720p, options: 540p, 720p, 1080p - viduq1 and viduq1-classic(5s): default 1080p, options: 1080p - vidu2.0 (4s): default 360p, options: 360p, 720p, 1080p - vidu2.0 (8s): default 720p, options: 720p |
movement_amplitude | String | Optional | The movement amplitude of objects in the frame Defaults to auto, accepted value: auto small medium large This parameter does not take effect when using the q2 & q3 model |
bgm | Bool | Optional | Whether to add background music to the generated video. Default: false. Acceptable values: true, false. When true, the system will automatically add a suitable BGM. BGM has no time limit and the system automatically adapts. BGM does not take effect when the duration of the q2 model is 9 or 10 seconds BGM does not available in q3 models |
audio | Bool | Optional | Whether to use direct audio-video generation capability. Default: true. Enumerated values: - false: No direct audio-video generation, outputs silent video - true: Requires audio-video synchronization, outputs video with sound (including dialogue and sound effects) Note 1: Only the q3 models supports this parameter |
payload | String | Optional | transparent transmission parameters No processing, only data transmission,with a maximum length of 1048576 characters |
off_peak | Bool | Optional | off peak mode, Defaults to false, enum: - true:off peak generate mode; - false:normal generate mode; - The off_peak mode consumes lower points, please refer to the details Pricing. Tasks submitted in off peak mode will be generated within 48 hours. Tasks that are not completed will be automatically cancelled and their points will be refunded. We also support cancel off_peak tasks. - Except for q3, other direct audio-video generation functions |
callback_url | String | Optional | Callback When creating a task, you need to actively set the callback_url with a POST request. When the video generation task changes its status, Vidu will send a callback request to this URL, containing the latest status of the task. The structure of the callback request content will be the same as the return body of the GET Generation API. The "status" in the callback response includes the following states: - processing: Task is being processed. - success: Task is completed (if sending fails, it will retry the callback three times). - failed: Task failed (if sending fails, it will retry the callback three times). Vidu uses a callback signature algorithm for verification, check out the details here: Callback Signature |
Field | Type | Description |
|---|---|---|
task_id | String | Task ID |
state | String | It will be returned to a specific processing state: - created created task successfully - queueing task in queue - processing processing - success generation successful - failedtask failed |
model | String | The parameter of the model used for this call |
images | Array[String] | The image used for this call |
prompt | String | The text prompt used for this call |
duration | Int | The video duration parameter used for this call |
seed | Int | The random seed parameter used for this call |
resolution | String | The resolution parameter used for this call |
bgm | Bool | The bgm parameter used for this call |
movement_amplitude | String | The camera movement amplitude parameter used for this call |
payload | String | The payload parameter used for this call |
off_peak | Bool | The off_peak parameter used for this call |
credits | Int | The credits used for this call |
created_at | String | Task creation time |
{ "task_id": "your_task_id_here", "state": "created", "model": "viduq3-pro", "images": ["https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/startend2video-1.jpeg","https://prod-ss-images.s3.cn-northwest-1.amazonaws.com.cn/vidu-maas/template/startend2video-2.jpeg"], "prompt": "The camera zooms in on the bird, which then flies to the right. The bird flight is smooth and natural, with a red light effect following and surrounding it from behind.", "duration": 5, "seed": random_number, "resolution": "1080p", "audio": true, "off_peak": false, "credits": credits_number, "created_at": "2025-01-01T15:41:31.968916Z" }
On this page
Overview
- Request Header
- Request Body
- Response Body